package com.unicorn.hgzero.meeting.biz.usecase.out;

import java.util.List;

/**
 * 참석자 저장 인터페이스
 */
public interface ParticipantWriter {

    /**
     * 회의에 참석자 추가
     */
    void saveParticipant(String meetingId, String userId);

    /**
     * 회의에 참석자 목록 일괄 저장
     */
    void saveParticipants(String meetingId, List<String> userIds);

    /**
     * 회의에서 참석자 삭제
     */
    void deleteParticipant(String meetingId, String userId);

    /**
     * 회의의 모든 참석자 삭제
     */
    void deleteAllParticipants(String meetingId);
}
